
set datafile separator ","
set terminal png
set output 'variability2_boxplot.png'

n=10.0 #number of intervals
max=985 #0.091 #max value
min=975 #0.09 #min value
width=(max-min)/n #interval width
#function used to map a value to the intervals
hist(x,width)=floor(width*floor((x+0.5)/width)+width/2.0)
set xrange [min:max]
set yrange [0:]
#to put an empty boundary around the
#data inside an autoscaled graph.
#set offset graph 0.05,0.05,0.05,0.0
set xtics min,(max-min)/5,max
set boxwidth width*0.9
set style fill solid 0.5 #fillstyle
set tics out nomirror
set xlabel "Number of effective control-points"
set ylabel "Amount (out of 100)"

plot '20171025-evolution3D_10x10x10_noFit_100Times.var' using (hist(10807*$1,width)):(1.0) smooth freq with boxes lc rgb "#6E6A9C" notitle
